﻿local AsterixVillage = foundation.createMod();

AsterixVillagePrefix = "ASTERIX_VILLAGE"

AsterixVillage:log("Hello World: Asterix Village Set")
--AsterixVillage:logWarning("This is a warning!")
--AsterixVillage:logError("This is an error!")
--AsterixVillage:msgBox("Water Mill Set: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    AsterixVillage:logError("AsterixVillage: game version anterior to 1.8")
    return
end
_scriptFolder = "scripts1.8"
AsterixVillage:msgBox("AsterixVillage: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
AsterixVillage:dofile(_scriptFolder .. "/common.lua")

_NoSandbox = difficultyLevel(AsterixVillage, "AsterixVillage")

-- Names currently inhibited: waitin for a fix about the language and typos (accents) in French
--AsterixVillage:dofile(_scriptFolder .. "/names.lua")
AsterixVillage:dofile(_scriptFolder .. "/monument.lua")
